#!/usr/local/bin/python

import sys
import os
import pwd
import tempfile
import subprocess
import re
import xml.parsers.expat
import time

from federation.remote_service import service_caller
from federation.client_lib import client_opts, exit_with_fault, RPCException,\
	wrangle_standard_options, do_rpc, info_format

class exp_data_opts(client_opts):
    def __init__(self):
        client_opts.__init__(self)
        self.add_option("--data", dest="data", default=[],
                action="append", type="choice",
                choices=("id", "experimentdescription", "federant", "vtopo", 
		    "vis", "log", "status"),
                help="data to extract")
        
parser = exp_data_opts()
(opts, args) = parser.parse_args()
cert, fid = wrangle_standard_options(opts)

try:
    resp_dict = do_rpc({ },
	    opts.url, opts.transport, cert, opts.trusted, 
	    serialize_only=opts.serialize_only,
	    tracefile=opts.tracefile,
	    caller=service_caller('MultiInfo'), 
	    responseBody='MultiInfoResponseBody')
except RPCException, e:
    exit_with_fault(e)
except RuntimeError, e:
    sys.exit("Error processing RPC: %s" % e)

formatter = info_format()
for i in resp_dict.get('info', []):
    for d in opts.data:
	formatter(i, d)
    print "---"
